# -*- coding: utf-8 -*-
from django.utils.translation import ugettext as _

def get_version():
    return "0.1.0"

def trans_sort_object_list(lst, tr_field):
    """ Sort an object list with translated_name """
    for l in lst:
        l.translated_name = _(getattr(l, tr_field))
    templist = [(obj_.translated_name.lower(), obj_) for obj_ in lst]
    templist.sort()
    return [obj_ for (key1, obj_) in templist]
